package io.zipcoder.casino;

import org.junit.Assert;
import org.junit.Test;

public class CardTest {


    @Test
    public void testGetSuit() {

        //Given
        Card card = new Card(Suit.Diamond, Rank.FOUR);
        Suit expected = Suit.Diamond;


        //When
        Suit actual = card.getSuit();

        //Then

        Assert.assertEquals(expected, actual);
    }
    @Test
    public void testGetRank() {

        //Given
        Card card = new Card(Suit.Diamond, Rank.JACK);
        Rank expected = Rank.JACK;


        //When
        Rank actual = card.getRank();

        //Then

        Assert.assertEquals(expected, actual);
    }
    @Test
    public void testGetValue() {

        //Given
        Card card = new Card(Suit.Diamond, Rank.EIGHT);
       Integer expected = 8;


        //When
        Integer actual = card.getValue();

        //Then

        Assert.assertEquals(expected, actual);
    }
}
