package io.zipcoder.casino;

import com.sun.tools.javac.util.Name;

import java.util.*;

import static com.sun.xml.internal.fastinfoset.alphabet.BuiltInRestrictedAlphabets.table;

public class BJPlayer extends Player {

    Wallet playerWallet;
    Hand playerHand;
    private final Hand hand; //The players hand of cards
    private int bet;         //The amount of money the player has to gamble with
    private Object blackjackGame;

    public BJPlayer() {
    }

    public BJPlayer(Wallet playerWallet, Hand playerHand) {
        this.playerWallet = playerWallet;
        this.playerHand = playerHand;

    }

    public void hit() {

    }

    public void stand() {

    }


//    private Player(Hand hand, int pot){
//        this.hand = hand;
//        this.bet = bet;
//    }


    public static Player joinGame(Hand hand, int pot) {
        Player p = new Player(hand, pot);
        return p;
    }

    //Sets the table of the player
    public synchronized void sitAtTable(Name.Table table) {
        this.blackjackGame = BlackjackGame;
    }

    //bets on hand before starting
    public void placeBet(int bet) {
        if (bet > bet)
            bet = bet;
        BlackjackGame.setbet(bet);
    }

    //The changes that are made when a player wins a hand
    public synchronized void won(boolean blackJack) {
        System.out.println("You won!");
        int tablebet = BlackjackGame.getbet();
        if (blackJack) {
            System.out.println("Player Hand:\n" + hand);
            bet += (3 * tablebet);
        } else {
            bet += (2 * tablebet);
        }
        System.out.println(bet);
        BlackjackGame.setbet(0);
    }

    //The changes made when a player loses a hand
    public synchronized void lost() {
        System.out.println("You lost!");
        bet -= BlackjackGame.getbet();
        System.out.println(bet);
        BlackjackGame.setbet(0);
    }

    public void push() {
        System.out.println("Push");
        BlackjackGame.setbet(0);
    }


    //simply adds a card to the hand
    public Card hit() {
        System.out.println("Player has hit");
        Card c = BJDealer.dealNext();
        hand.addCard(c);
        return c;
    }

    @Override
    public String toString() {
        return hand.toString() + "\nHand Value: " + hand.getHandValue() + "\nPot: " + bet;
    }


    //gives a view of the hand
    public Hand viewHand() {
        return hand;
    }

    public int getBet() {
        return bet;
    }

    public synchronized void refreshPot() {
        bet = 500;
    }

    //unsupported for Player
    public Card dealNext() {
        throw new UnsupportedOperationException("Not available");
    }

    public static void main(String[] args) {
        ArrayList<Card> sample = new ArrayList<Card>();
        Hand sampleHand = new Hand(sample);
        Player a = Player.joinGame(sampleHand, 30);
        Player b = Player.joinGame(sampleHand, 20);

    }
}